Get Customer Tier

Retrieves tier details of a customer for a single program or across all programs of the org.

This is a light API.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Using Multiple Identifiers

When dual eligibility is enabled in your organisation, the API allows you to send multiple identifiers while fetching details. The system automatically identifies which one is the primary identifier and retrieves the details accordingly. This removes the need for you to know or specify only the primary identifier. This is beneficial in a dual eligibility–enabled scenario, as the feature allows you to register multiple users with the same secondary identifiers.
When you submit multiple identifiers in a lookup request:

  • The service checks that dual eligibility is active.
  • It parses all submitted identifiers, for example email,mobile,externalId
  • It determines which identifier is configured as the primary key.
  • If one of the provided values matches the primary key, the API uses it for the lookup.
  • The API returns the single customer profile associated with the primary identifier.

You can enter multiple identifiers as comma-separated values using the identifierName and identifierValue query parameters. Ensure the order of the identifierName matches the identifierValue.

Note: If you provide only one identifier that is not the primary identifier, the system will return an error, 8015 - Customer not found for given identifiers.

Endpoint Example

http://eu.api.capillarytech.com/v2/customers/lookup/tierDetails?source=INSTORE&identifierName=email,mobile&[email protected],915795008395

Here,

  • [email protected] is the email
  • 915795008395 is the mobile number
  • MPQSP100 is the external ID

Important Note

WhenfetchDataForAllPrograms is truefetchDataForAllPrograms is false
programId is passedYou will still see tier details of the customer across all programsYou will still see tier details of the customer for that particular program.
programId is not passedYou will still see tier details of the customer across all programsYou will still see tier details of the customer for the default program.

Response Parameters

ParameterDatatypeDescription
entityIdlongUnique ID of the customer.
currentTierSerialNumberintSerial number of the current tier. For highest tier, this value is shown as -1 meaning no next tier is available.
nextTierSerialNumberintSerial number of the next tier. For highest tier, this value is shown as -1 meaning no next tier is available.

Error Code

Error CodeDescriptionReason
8015Customer not found for the given identifiersThe identifier provided is incorrect. When dual eligibility is enabled, if the primary identifier is missing from the input, the system returns the same error.
Query Params
string
enum
required

Source in which the customer identifier is available.

string

Account in which the customer details are available (Required only for sources with multiple accounts).

string
enum
required

Identifier type used for the customer.

Allowed:
string
required

Value of the respective identifier. For example if identifierName is email, then the identifierValue needs to be the email ID of the customer.

int32

Unique ID of the loyalty program from which tier details need to retrieve. If not passed, it shows the points balance in the default program.

string
enum

Pass CUSTOMER to fetch tier details of the individual, FLEET to fetch details of the user group. Default value is CUSTOMER.

Allowed:
boolean
Defaults to false

Pass true to fetch tier details from all the available programs of the org. Default value is false.

Headers
string
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json